// ......................................................................
// .	ut4_dispatch							.
// .	Urban Terror 4.34						.
// ........sneaks...........................  			18_june_2024

textures/ut4_dispatch/dispatchsky
{
	qer_editorimage textures/ut4_dispatch/dispatchsky.tga				//name it .tga even if it is not

	q3map_lightmapFilterRadius 0 8							//#self, #other surfaces //gaussian blur level
	q3map_backsplash 0 0								//turns off q3map_backSplash default [self lighting effect]
	q3map_sunExt 1 .84 .6 130 300 80 1 8						//always sunExt //#r #g #b, #intensity[brightness; light, higher brighter], #degrees[0east 90north 180west 270south], #elevation [0sunrise/sunset 90noon], #deviance, #samples
	q3map_skyLight 160 8								//INTENSITY [shade brightness; high is brighter - contrast] 	//#light brightness value, #transition quality[smoothness]
	q3map_lightRGB .78 .84 .92							//shade colour
	q3map_noFog
	q3map_globalTexture								//use when tcMod scale function is used

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
//	surfaceparm trans								//generally, any shaders that have blendfuncs should be marked as surfaceparm trans **unless it is the sky**

	skyparms env/ut4_dispatch/dispatchsky 1024 -					//scrolling clouds must have this value
	nopicmip
	nomipmaps
	{
		map textures/ut4_dispatch/dispatchsky.tga
		tcMod scale 1 1								//scale 1=100% 2=50%
		rgbGen identityLighting
	}
	{
		clampmap textures/ut4_dispatch/dispatchsky_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod transform 1 0.1 0.1 1 -1 -1
		tcMod scale .7 .7							//tcMod scale .6 .6
	}
}


textures/ut4_dispatch/dispatch_glassfx3
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/dispatch_glassfx3.tga
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


textures/ut4_dispatch/grease
{
	qer_trans 0.4
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
	surfaceparm playerclip
}


textures/ut4_dispatch/brickdarkclean_cgtph
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_dispatch/brickdarkclean_cgtph.tga
//	surfaceparm trans								//brush does not cast shadow with this surfaceparm
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_dispatch/brickdarkclean_cgtph.tga
		blendFunc filter
	}
}


textures/ut4_dispatch/brickgreenclean_cgt
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_dispatch/brickgreenclean_cgt.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_dispatch/brickgreenclean_cgt.tga
		blendFunc filter
	}
}


textures/ut4_dispatch/cementdark_cgt
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_dispatch/cementdark_cgt.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_dispatch/cementdark_cgt.tga
		blendFunc filter
	}
}


textures/ut4_dispatch/fallhazard
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/fallhazard.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/fallhazard.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/iateyourhamburger
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/iateyourhamburger.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/iateyourhamburger.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/maskdirtymould2_cgt
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/maskdirtymould2_cgt.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/maskdirtymould2_cgt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/mask_009
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/mask_009.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/mask_009.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/mask_c
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/mask_c.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/mask_c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/mm2
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/mm2.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/mm2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/maskwalldust4_cgt
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/maskwalldust4_cgt.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/maskwalldust4_cgt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/painted_blue
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/painted_blue.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/painted_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/painted_green
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/painted_green.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/painted_green.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/painted_red
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/painted_red.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/painted_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/painted_white
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/painted_white.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/painted_white.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/patchbrownplaster_cgt
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/patchbrownplaster_cgt.tga
	surfaceparm nolightmap
//	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/patchbrownplaster_cgt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/patchcement3_cgt
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/patchcement3_cgt.tga
	surfaceparm nolightmap
//	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/patchcement3_cgt.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/patchcracksstain_cgt
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/patchcracksstain_cgt.tga
	surfaceparm nolightmap
//	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	nomipmaps
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/patchcracksstain_cgt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/poster_darts_cgt
{
	qer_editor_image textures/ut4_dispatch/poster_darts_cgt.tga
	surfaceparm nolightmap
	surfaceparm trans
	nopicmip
	nomipmaps
	{
		map textures/ut4_dispatch/poster_darts_cgt.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/rabbits
{
	qer_trans 0.4
	qer_editor_image textures/ut4_dispatch/rabbits.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/rabbits.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/roadcobbleconcrete_cgt
{
	q3map_nonplanar
	q3map_shadeangle 90								//180
	qer_editorimage textures/ut4_dispatch/roadcobbleconcrete_cgt.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_dispatch/roadcobbleconcrete_cgt.tga
		blendFunc filter
	}
}


textures/ut4_dispatch/sandy_cgt
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_dispatch/sandy_cgt.tga
	surfaceparm dust
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_dispatch/sandy_cgt.tga
		blendFunc filter
	}
}


textures/ut4_dispatch/sewerlid_cgt
{
	qer_editor_image textures/ut4_dispatch/sewerlid_cgt.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/sewerlid_cgt.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/signnosmoking_cgt
{
	qer_editor_image textures/ut4_dispatch/signnosmoking_cgt.tga
	surfaceparm nolightmap
//	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/ut4_dispatch/signnosmoking_cgt.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_dispatch/telewire
{
	qer_editorimage textures/ut4_dispatch/telewire.tga

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map textures/ut4_dispatch/telewire.tga
		rgbGen vertex
	}
}


textures/ut4_ut4_dispatch/wallstackedrock_cgt
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_dispatch/wallstackedrock_cgt.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_dispatch/wallstackedrock_cgt.tga
		blendFunc filter
	}
}


textures/ut4_dispatch/yellow_stripes
{
	qer_trans 0.8
	qer_editor_image textures/ut4_dispatch/yellow_stripes.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_dispatch/yellow_stripes.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ based on shady work and tohunga

textures/ut4_dispatch/roadcobble_sand_edge
{
	qer_editorimage textures/ut4_dispatch/roadcobbleconcrete_cgt.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm dust
	{
		map textures/ut4_dispatch/sandy_cgt.tga
	}
	{
		map textures/ut4_dispatch/roadcobbleconcrete_cgt.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}


// m.cowin
